Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.DM.Type

class petsc4py.PETSc.DM.Type

  Bases: `object`

  `DM` types.

  Attributes Summary

  `COMPOSITE` | Object `COMPOSITE` of type `str`
  `DA` | Object `DA` of type `str`
  `FOREST` | Object `FOREST` of type `str`
  `MOAB` | Object `MOAB` of type `str`
  `NETWORK` | Object `NETWORK` of type `str`
  `P4EST` | Object `P4EST` of type `str`
  `P8EST` | Object `P8EST` of type `str`
  `PATCH` | Object `PATCH` of type `str`
  `PLEX` | Object `PLEX` of type `str`
  `PRODUCT` | Object `PRODUCT` of type `str`
  `REDUNDANT` | Object `REDUNDANT` of type `str`
  `SHELL` | Object `SHELL` of type `str`
  `SLICED` | Object `SLICED` of type `str`
  `STAG` | Object `STAG` of type `str`
  `SWARM` | Object `SWARM` of type `str`

  Attributes Documentation

  COMPOSITE: str = COMPOSITE

    Object `COMPOSITE` of type `str`

  DA: str = DA

    Object `DA` of type `str`

  FOREST: str = FOREST

    Object `FOREST` of type `str`

  MOAB: str = MOAB

    Object `MOAB` of type `str`

  NETWORK: str = NETWORK

    Object `NETWORK` of type `str`

  P4EST: str = P4EST

    Object `P4EST` of type `str`

  P8EST: str = P8EST

    Object `P8EST` of type `str`

  PATCH: str = PATCH

    Object `PATCH` of type `str`

  PLEX: str = PLEX

    Object `PLEX` of type `str`

  PRODUCT: str = PRODUCT

    Object `PRODUCT` of type `str`

  REDUNDANT: str = REDUNDANT

    Object `REDUNDANT` of type `str`

  SHELL: str = SHELL

    Object `SHELL` of type `str`

  SLICED: str = SLICED

    Object `SLICED` of type `str`

  STAG: str = STAG

    Object `STAG` of type `str`

  SWARM: str = SWARM

    Object `SWARM` of type `str`

  __init__()
  classmethod __new__(*args, **kwargs)